lcm-spy(1)

NAME
lcm-spy - traffic inspection tool

SYNOPSIS

lcm-spy [options]

DESCRIPTION

lcm-spy is the Lightweight Communications and Marshalling traffic inspection utility. It is a graphical tool for viewing messages received on an LCM network, and is analogous to tools like Ethereal/Wireshark and tcpdump in that it is able to inspect all LCM messages received and provide information and statistics on the channels used.

When given appropriate LCM type definitions, lcm-spy is able to automatically detect and decode messages, and can display the individual fields of recognized messages. lcm-spy is limited to displaying statistics for unrecognized messages.

lcm-spy collects the following statistics for each channel:

-   Channel name

-   Number of messages received

-   Message Rate (Hz)

-   Bandwidth (KB/s)

    On its own, this information can often be used to verify that messages are being transmitted on the expected channels, and at the expected data rates.

OPTIONS
The following options are provided by lcm-spy

-l, --lcm-url=URL
    Use the specified LCM URL

-t, --title [LABEL]
    Display LABEL in the window title

--title-url
    Display the LCM URL in the title

-h, --help
    Shows some help text and exits

AUTOMATIC MESSAGE DECODING

If a Java class generated by lcm-gen for an LCM type definition is contained within a JAR file that is on the Java classpath, lcm-spy automatically detects the class and uses Java reflection to insert the corresponding LCM type definitions into a type database. Subsequently, lcm-spy is able to automatically recognize and decode messages received that correspond to all such types.

SEE ALSO
lcm-gen(1)

COPYRIGHT

lcm-spy is part of the Lightweight Communications and Marshalling (LCM) project. Permission is granted to copy, distribute and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. See the file COPYING in the LCM distribution for more details regarding distribution.

LCM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with LCM; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

AUTHOR

This manual page was written by Albert Huang.